Unable to bind with DOMAIN\$login any longer
Description

When setting the bind account to DOMAIN/$login as the manual suggests for the 1.5 release, it doesn't look like we are translating it
any longer into the actual user when logging in.

The log has the following when trying to log in:

Error during authentication: Could not bind to ActiveDirectory user GCITECH\$login
invalid user

| believe in 1.5.2 this error would be the actual user. When looking at the new code, there is nothing about the $login value as there
was in the old code. Since | don't have logins working yet with any config, this is all speculation.

Related issues:
Related to Foreman - Bug #7003: Unable to connect to AD through Idap login mo... Closed 08/08/2014

Associated revisions

Revision 597bd2fb - 08/28/2014 11:13 AM - Dominic Cleal

fixes #7066 - add back $login interpolation for LDAP service account usernames

In cases where an LDAP connection is required outside of the context of user
authentication (e.g. validation of external user group name), an error is
thrown. Users are recommended to use dedicated service accounts for this
new feature.

Revision 3b4f386e - 08/28/2014 11:41 AM - Dominic Cleal

refs #7066 - fix syntax error in expression

Revision 0c30ba83 - 08/28/2014 05:03 PM - Dominic Cleal

fixes #7066 - add back $login interpolation for LDAP service account usernames

In cases where an LDAP connection is required outside of the context of user
authentication (e.g. validation of external user group name), an error is
thrown. Users are recommended to use dedicated service accounts for this
new feature.

Revision 2¢460896 - 08/28/2014 05:03 PM - Dominic Cleal

refs #7066 - fix syntax error in expression

History

#1 - 08/13/2014 10:11 AM - Dominic Cleal
- Category set to Authentication
- Target version setto 1.7.5

- translation missing: en.field_release set to 10
#2 - 08/13/2014 10:25 AM - Leah Fisher
- Related to Bug #7003: Unable to connect to AD through Idap login module added

#3 - 08/14/2014 08:05 AM - Leah Fisher

| am able to log in with some changes to the code. Besides having to hardcode the bind user, | needed to update the code to also have the login
connect with the domain.

So | did the following:
Account Name: Domain/foreman
Account Password: foreman

Edit line 50 of app/models/auth_sources/auth_source_ldap.rb to:
unless Idap_con.authenticate?("Domain\\#{login}", password)

#4 - 08/21/2014 07:16 AM - Dominic Cleal
- Status changed from New to Assigned
- Assignee set to Dominic Cleal

- Target version changed from 1.7.5to 1.7.4

#5 - 08/23/2014 03:41 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1709 added
- Pull request deleted ()

#6 - 08/23/2014 03:50 AM - Dominic Cleal
http://koji.katello.org/koji/taskinfo?tasklD=143822 (noarch.rpm) has the Idap_fluff part of the patch (and all other open issues).

#7 - 08/28/2014 12:01 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 597bd2fb68a48d37e7{6f150e0edc64a9772668c¢.
